This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 201541 - Under Edit menu "Select All Text" and "Copy" do work correctly
Under Edit menu "Select All Text" and "Copy" do work correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 04:48 EDT by Xiaohong Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: evolution-2.7.92-6.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 13:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (259.20 KB, image/png)
2006-08-07 04:48 EDT, Xiaohong Wang
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 336983 None None None Never

  None (edit)
Description Xiaohong Wang 2006-08-07 04:48:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):
evolution-2.7.4-4

How reproducible:
always

Steps to Reproduce:
1. Launch Mail-Evolution
2. Select a message (A) from Inbox E-mail list
3. On Menu bar, select Edit -> Select All Text (all text in this mail message is
selected)
4. On Menu bar, select Edit
  
Actual results:
Under Edit menu "Copy     Ctrl+C" is grey and cannot be selected


Expected results:


Additional info:
After step 3, if you selecting another mail message (B) in mail list, Under Edit
menu "Copy     Ctrl+C" is activate. Select "Copy     Ctrl+C", and paste to
oowriter, all text for mail message (B) is pasted. 
But if without step 1-3, "Copy     Ctrl+C" is grey too.
Comment 1 Xiaohong Wang 2006-08-07 04:48:59 EDT
Created attachment 133718 [details]
screenshot
Comment 2 Matthew Barnes 2006-08-28 10:35:33 EDT
The upstream bug has been closed with a patch that partially improves the
behavior of the Edit -> Copy menu item.  But it doesn't cover the use case
documented here, so I've requested that the bug be reopened.
Comment 3 Matthew Barnes 2006-08-28 13:24:49 EDT
Upstream added a fix for this use case to the patch.

Fixed in evolution-2.7.92-6.fc6

Note You need to log in before you can comment on or make changes to this bug.